# $Owl: Owl/packages/strace/strace.spec,v 1.29.2.1 2015/01/03 06:58:40 solar Exp $

Summary: Tracks and displays system calls associated with a running process.
Name: strace
Version: 4.8
Release: owl1
License: BSD
Group: Development/Debuggers
URL: http://sourceforge.net/projects/strace/
Source: http://download.sourceforge.net/%name/%name-%version.tar.xz
# Signature: http://download.sourceforge.net/%name/%name-%version.tar.xz.sig
BuildRequires: time, xz
BuildRoot: /override/%name-%version

%package graph
Summary: Processes strace output and displays a graph of invoked subprocesses.
Group: Development/Debuggers
Requires: %name = %version-%release

%description
The strace program intercepts and records the system calls invoked by
a running process.  strace can print a record of each system call, its
arguments, and its return value.  strace is useful for diagnosing
problems and debugging, as well as for instructional purposes.

%description graph
The strace-graph Perl script processes strace -f output and displays a
graph of invoked subprocesses.  It is useful for finding out what complex
commands do.

%prep
%setup -q
xz ChangeLog*

%build
%configure
%__make

%install
rm -rf %buildroot
%makeinstall

%check
%__make check

%files
%defattr(-,root,root)
%doc ChangeLog*.xz COPYING CREDITS NEWS README
%_bindir/strace
%_bindir/strace-log-merge
%_mandir/man1/strace.1*

%files graph
%defattr(-,root,root)
%_bindir/strace-graph

%changelog
* Wed Jun 05 2013 Dmitry V. Levin <ldv-at-owl.openwall.com> 4.8-owl1
- Updated to 4.8.

* Wed May 02 2012 Dmitry V. Levin <ldv-at-owl.openwall.com> 4.7-owl1
- Updated to 4.7.

* Tue Mar 15 2011 Dmitry V. Levin <ldv-at-owl.openwall.com> 4.6-owl1
- Updated to 4.6.

* Wed Apr 14 2010 Dmitry V. Levin <ldv-at-owl.openwall.com> 4.5.20-owl1
- Updated to 4.5.20.

* Wed Oct 21 2009 Dmitry V. Levin <ldv-at-owl.openwall.com> 4.5.19-owl1
- Updated to 4.5.19.

* Thu Jan 18 2007 Dmitry V. Levin <ldv-at-owl.openwall.com> 4.5.15-owl1
- Updated to 4.5.15.

* Fri Apr 21 2006 Dmitry V. Levin <ldv-at-owl.openwall.com> 4.5.14-owl2
- Fixed race condition in tcb allocation code.
- Fixed build on x86_64.

* Wed Jan 18 2006 Dmitry V. Levin <ldv-at-owl.openwall.com> 4.5.14-owl1
- Updated to 4.5.14.

* Mon Oct 24 2005 Dmitry V. Levin <ldv-at-owl.openwall.com> 4.5.13-owl2
- Applied upstream fix for potential buffer overflow in printpathn().

* Wed Aug 10 2005 Dmitry V. Levin <ldv-at-owl.openwall.com> 4.5.13-owl1
- Updated to 4.5.13.
- Synced set of patches with ALT's strace-4.5.13-alt1 package.

* Sat Jun 18 2005 Dmitry V. Levin <ldv-at-owl.openwall.com> 4.5.12-owl2
- Implemented more elaborate quotactl(2) deparser.

* Sat Jun 11 2005 Dmitry V. Levin <ldv-at-owl.openwall.com> 4.5.12-owl1
- Updated to 4.5.12.
- Reviewed Owl patches, removed obsolete ones.
- Imported a bunch of patches from ALT's strace-4.5.12-alt1 package.

* Wed Mar 10 2004 (GalaxyMaster) <galaxy-at-owl.openwall.com> 4.5.1-owl2
- Added a dirty patch to switch strace to using kernel version of quota.h
(this allows to recognize both types of quota version). This patch must be
reviewed and cleaned, but for now it has necessary functionality.

* Fri Feb 27 2004 Michail Litvak <mci-at-owl.openwall.com> 4.5.1-owl1
- 4.5.1
- Added patches from ALT.

* Fri May 16 2003 Solar Designer <solar-at-owl.openwall.com> 4.4-owl3
- Additional fixes to build with Linux 2.4.21-rc1 headers.

* Sat Jun 08 2002 Solar Designer <solar-at-owl.openwall.com>
- Updated to today's CVS version (post-4.4) with an additional fix for
displaying all possible ioctl names when there's more than one match,
some build fixes, and a Red Hat Linux derived patch for detaches from
multi-threaded programs.
- Package strace-graph (in its own subpackage due to the Perl requirement).

* Tue Feb 05 2002 Solar Designer <solar-at-owl.openwall.com>
- Enforce our new spec file conventions.
- Package most of the documentation.

* Tue Aug 21 2001 Michail Litvak <mci-at-owl.openwall.com>
- man page fix

* Thu Jan 25 2001 Michail Litvak <mci-at-owl.openwall.com>
- Added patch to fix printsock

* Tue Jan 23 2001 Michail Litvak <mci-at-owl.openwall.com>
- Imported from RH
- Removed most of 2.4 related patches...
- Added patch to compile on 2.2 kernels (strace-4.2-owl-timex.diff)
